org.apache.solr.analytics.util

## Interface AnalyticsParams

- All Known Implementing Classes:
    AnalyticsRequestFactory

      public interface AnalyticsParams

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSOLUTE_VALUE`
    `static String` | `ADD`
    `static List<String>` | `ALL_STAT_LIST`
    `static Set<String>` | `ALL_STAT_SET`
    `static String` | `ANALYTICS`
    `static String` | `CONCATENATE`
    `static String` | `CONSTANT_DATE`
    `static String` | `CONSTANT_NUMBER`
    `static String` | `CONSTANT_STRING`
    `static String` | `DATE_MATH`
    `static Set<String>` | `DATE_OPERATION_SET`
    `static boolean` | `DEFAULT_ABBREVIATE_PREFIX`
    `static boolean` | `DEFAULT_HARDEND`
    `static boolean` | `DEFAULT_HIDDEN`
    `static FacetParams.FacetRangeInclude` | `DEFAULT_INCLUDE`
    `static int` | `DEFAULT_LIMIT`
    `static FacetParams.FacetRangeOther` | `DEFAULT_OTHER`
    `static boolean` | `DEFAULT_SHOW_MISSING`
    `static String` | `DEFAULT_SORT_DIRECTION`
    `static String` | `DEPENDENCY`
    `static String` | `DIVIDE`
    `static String` | `END`
    `static String` | `EXPRESSION`
    `static String` | `FIELD_FACET`
    `static String` | `FILTER`
    `static String` | `GAP`
    `static String` | `HARDEND`
    `static String` | `HIDDEN`
    `static String` | `HIDDEN_EXPRESSION`
    `static String` | `INCLUDE_BOUNDARY`
    `static String` | `LIMIT`
    `static String` | `LOG`
    `static String` | `MULTIPLY`
    `static String` | `NEGATE`
    `static Set<String>` | `NUMERIC_OPERATION_SET`
    `static String` | `OFFSET`
    `static String` | `OTHER_RANGE`
    `static String` | `POWER`
    `static String` | `QUERY`
    `static String` | `QUERY_FACET`
    `static String` | `QUERY_RESULT`
    `static String` | `RANGE_FACET`
    `static String` | `REQUEST`
    `static String` | `RESULT`
    `static String` | `REVERSE`
    `static String` | `SHOW_MISSING`
    `static String` | `SORT_DIRECTION`
    `static String` | `SORT_STATISTIC`
    `static String` | `START`
    `static String` | `STAT_COUNT`
    `static String` | `STAT_MAX`
    `static String` | `STAT_MEAN`
    `static String` | `STAT_MEDIAN`
    `static String` | `STAT_MIN`
    `static String` | `STAT_MISSING`
    `static String` | `STAT_PERCENTILE`
    `static String` | `STAT_STANDARD_DEVIATION`
    `static String` | `STAT_SUM`
    `static String` | `STAT_SUM_OF_SQUARES`
    `static String` | `STAT_UNIQUE`
    `static Set<String>` | `STRING_OPERATION_SET`

- - ### Field Detail

    - #### ANALYTICS

          static final String ANALYTICS

      See Also:
        Constant Field Values

    - #### REQUEST

          static final String REQUEST

      See Also:
        Constant Field Values

    - #### EXPRESSION

          static final String EXPRESSION

      See Also:
        Constant Field Values

    - #### HIDDEN_EXPRESSION

          static final String HIDDEN_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_FACET

          static final String FIELD_FACET

      See Also:
        Constant Field Values

    - #### LIMIT

          static final String LIMIT

      See Also:
        Constant Field Values

    - #### OFFSET

          static final String OFFSET

      See Also:
        Constant Field Values

    - #### HIDDEN

          static final String HIDDEN

      See Also:
        Constant Field Values

    - #### SHOW_MISSING

          static final String SHOW_MISSING

      See Also:
        Constant Field Values

    - #### SORT_STATISTIC

          static final String SORT_STATISTIC

      See Also:
        Constant Field Values

    - #### SORT_DIRECTION

          static final String SORT_DIRECTION

      See Also:
        Constant Field Values

    - #### RANGE_FACET

          static final String RANGE_FACET

      See Also:
        Constant Field Values

    - #### START

          static final String START

      See Also:
        Constant Field Values

    - #### END

          static final String END

      See Also:
        Constant Field Values

    - #### GAP

          static final String GAP

      See Also:
        Constant Field Values

    - #### HARDEND

          static final String HARDEND

      See Also:
        Constant Field Values

    - #### INCLUDE_BOUNDARY

          static final String INCLUDE_BOUNDARY

      See Also:
        Constant Field Values

    - #### OTHER_RANGE

          static final String OTHER_RANGE

      See Also:
        Constant Field Values

    - #### QUERY_FACET

          static final String QUERY_FACET

      See Also:
        Constant Field Values

    - #### DEPENDENCY

          static final String DEPENDENCY

      See Also:
        Constant Field Values

    - #### QUERY

          static final String QUERY

      See Also:
        Constant Field Values

    - #### DEFAULT_ABBREVIATE_PREFIX

          static final boolean DEFAULT_ABBREVIATE_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_SORT_DIRECTION

          static final String DEFAULT_SORT_DIRECTION

      See Also:
        Constant Field Values

    - #### DEFAULT_LIMIT

          static final int DEFAULT_LIMIT

      See Also:
        Constant Field Values

    - #### DEFAULT_HIDDEN

          static final boolean DEFAULT_HIDDEN

      See Also:
        Constant Field Values

    - #### DEFAULT_HARDEND

          static final boolean DEFAULT_HARDEND

      See Also:
        Constant Field Values

    - #### DEFAULT_SHOW_MISSING

          static final boolean DEFAULT_SHOW_MISSING

      See Also:
        Constant Field Values

    - #### DEFAULT_INCLUDE

          static final FacetParams.FacetRangeInclude DEFAULT_INCLUDE

    - #### DEFAULT_OTHER

          static final FacetParams.FacetRangeOther DEFAULT_OTHER

    - #### STAT_COUNT

          static final String STAT_COUNT

      See Also:
        Constant Field Values

    - #### STAT_MISSING

          static final String STAT_MISSING

      See Also:
        Constant Field Values

    - #### STAT_SUM

          static final String STAT_SUM

      See Also:
        Constant Field Values

    - #### STAT_SUM_OF_SQUARES

          static final String STAT_SUM_OF_SQUARES

      See Also:
        Constant Field Values

    - #### STAT_STANDARD_DEVIATION

          static final String STAT_STANDARD_DEVIATION

      See Also:
        Constant Field Values

    - #### STAT_MEAN

          static final String STAT_MEAN

      See Also:
        Constant Field Values

    - #### STAT_UNIQUE

          static final String STAT_UNIQUE

      See Also:
        Constant Field Values

    - #### STAT_MEDIAN

          static final String STAT_MEDIAN

      See Also:
        Constant Field Values

    - #### STAT_PERCENTILE

          static final String STAT_PERCENTILE

      See Also:
        Constant Field Values

    - #### STAT_MIN

          static final String STAT_MIN

      See Also:
        Constant Field Values

    - #### STAT_MAX

          static final String STAT_MAX

      See Also:
        Constant Field Values

    - #### ALL_STAT_LIST

          static final List<String> ALL_STAT_LIST

    - #### ALL_STAT_SET

          static final Set<String> ALL_STAT_SET

    - #### FILTER

          static final String FILTER

      See Also:
        Constant Field Values

    - #### RESULT

          static final String RESULT

      See Also:
        Constant Field Values

    - #### QUERY_RESULT

          static final String QUERY_RESULT

      See Also:
        Constant Field Values

    - #### CONSTANT_NUMBER

          static final String CONSTANT_NUMBER

      See Also:
        Constant Field Values

    - #### NEGATE

          static final String NEGATE

      See Also:
        Constant Field Values

    - #### ABSOLUTE_VALUE

          static final String ABSOLUTE_VALUE

      See Also:
        Constant Field Values

    - #### LOG

          static final String LOG

      See Also:
        Constant Field Values

    - #### ADD

          static final String ADD

      See Also:
        Constant Field Values

    - #### MULTIPLY

          static final String MULTIPLY

      See Also:
        Constant Field Values

    - #### DIVIDE

          static final String DIVIDE

      See Also:
        Constant Field Values

    - #### POWER

          static final String POWER

      See Also:
        Constant Field Values

    - #### NUMERIC_OPERATION_SET

          static final Set<String> NUMERIC_OPERATION_SET

    - #### CONSTANT_DATE

          static final String CONSTANT_DATE

      See Also:
        Constant Field Values

    - #### DATE_MATH

          static final String DATE_MATH

      See Also:
        Constant Field Values

    - #### DATE_OPERATION_SET

          static final Set<String> DATE_OPERATION_SET

    - #### CONSTANT_STRING

          static final String CONSTANT_STRING

      See Also:
        Constant Field Values

    - #### REVERSE

          static final String REVERSE

      See Also:
        Constant Field Values

    - #### CONCATENATE

          static final String CONCATENATE

      See Also:
        Constant Field Values

    - #### STRING_OPERATION_SET

          static final Set<String> STRING_OPERATION_SET

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.